# Deleting a Message Template

#### Description

- API name

  DeleteMessageTemplate

- Function

  Delete a message template. After you delete the template, you cannot use it to publish messages any more.

#### URI

- URI format

  DELETE /v2/{project_id}/notifications/message_template/{message_template_id}

- Parameter description

  Parameter | Mandatory | Type | Description
  --- | --- | --- | ---
  project_id | Yes | String | Project ID See Obtaining a Project ID.
  message_template_id | Yes | String | Unique resource ID of a topic. You can obtain it according to Querying Message Templates.

#### Request

Request example

    DELETE https://{SMN_Endpoint}/v2/{project_id}/notifications/message_template/b3ffa2cdda574168826316f0628f774e

#### Response

- Parameter description

  Parameter | Type | Description
  --- | --- | ---
  request_id | String | Request ID, which is unique

- Response example

      {
          "request_id": " 5fcba32bd2814ea39431829c22bda94b"
      }

#### Returned Value

See section Returned Value.

#### Error Code

See section Error Code.

Parent topic: Template Operation